Package com.opensymphony.module.sitemesh.html.rules

# Class MetaTagRule

java.lang.Object
com.opensymphony.module.sitemesh.html.BasicRule
com.opensymphony.module.sitemesh.html.rules.MetaTagRule

All Implemented Interfaces:
  `TagRule`

public class MetaTagRule extends BasicRule

## Field Summary

Fields
Modifier and Type
Field
Description
`private final PageBuilder`
`page`

### Fields inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`context`

## Constructor Summary

Constructors
Constructor
Description
`MetaTagRule(PageBuilder page)`

## Method Summary

Modifier and Type
Method
Description
`void`
`process(Tag tag)`

### Methods inherited from class com.opensymphony.module.sitemesh.html.BasicRule

`currentBuffer, setContext, shouldProcess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### page

private final PageBuilder page

## Constructor Details

### MetaTagRule

public MetaTagRule(PageBuilder page)

## Method Details

### process

public void process(Tag tag)

Specified by:
  `process` in interface `TagRule`
Specified by:
  `process` in class `BasicRule`